Subject: Re: libgit2 - a true git library

From: "Shawn O. Pearce" <[email-masked]>
Date: Fri, 31 Oct 2008 15:01:33 -0700

Andreas Ericsson <[email-masked]> wrote:
>>   * proper public "stuff" naming (I e.g. realy like types names -- not
>>     struct or enum tags, that I don't really care -- ending with _t as
>>     it helps navigating source.
>
> *_t types are reserved by POSIX for future implementations, so that's
> a no-go (although I doubt POSIX will ever make types named git_*_t).

Yikes.  Anyone know where a concise list of the reserved names are?

> Apart from that, please consider reading Ulrich Drepper's musings on
> library design at http://people.redhat.com/drepper/goodpractice.pdf

I think I've read that before, but I'll skim over it again.
Thanks for the link.

-- 
Shawn.